Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::color_node Class Reference
[Nodes]

Inheritance diagram for openvrml::color_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for color nodes.

## Public Member Functions

virtual | ~color_node ()=0 throw ()
| Destroy.
virtual const std::vector< openvrml::color > & | color () const =0 throw ()
| Get the color array encapsulated by this node.

## Protected Member Functions

| color_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual color_node * | to_color () throw ()
| Cast to a color_node.

## Constructor & Destructor Documentation

openvrml::color_node::~color_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy. Implemented in openvrml::vrml97_node::color_node.

openvrml::color_node::color_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

Construct.

Parameters:

  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.

Reimplemented in openvrml::vrml97_node::color_node.

## Member Function Documentation

const std::vector< openvrml::color > & openvrml::color_node::color | ( |  | ) | const throw ()`[pure virtual]`

Get the color array encapsulated by this node.

Returns:
  the color array for this node.

Implemented in openvrml::vrml97_node::color_node.

color_node * openvrml::color_node::to_color | ( |  | ) | throw ()`[private, virtual]`

Cast to a color_node.

Returns:
  a pointer to this color_node.

Reimplemented from openvrml::node.